> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neosantara.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create video job

> Create a video generation job compatible with OpenAI-style Sora workflows.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/videos
openapi: 3.1.0
info:
  title: Neosantara AI API
  description: OpenAI-compatible LLM Gateway
  version: 1.0.0
servers:
  - url: https://api.neosantara.xyz
    description: Neosantara Production Gateway
security:
  - bearerAuth: []
paths:
  /v1/videos:
    post:
      tags:
        - Videos
      summary: Create video job
      description: >-
        Create a video generation job compatible with OpenAI-style Sora
        workflows.
      operationId: postV1Videos
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                model:
                  type: string
                prompt:
                  type: string
                  maxLength: 5000
                input_reference:
                  type:
                    - string
                    - 'null'
                  format: uri
                size:
                  type: string
                  enum:
                    - 1280x720
                    - 720x1280
                    - 1024x1024
                    - 480x854
                    - 854x480
                  default: 1280x720
                seconds:
                  type: string
                  enum:
                    - '5'
                    - '9'
                  default: '5'
                video_style:
                  type: string
                emotional_atmosphere:
                  type: string
                mirror_mode:
                  type: string
              required:
                - model
                - prompt
      responses:
        '202':
          description: Job queued
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                    const: video
                  created_at:
                    type: number
                  status:
                    type: string
                    const: queued
                  model:
                    type: string
                  progress:
                    type: number
                  prompt:
                    type: string
                  seconds:
                    type: number
                  size:
                    type: string
                required:
                  - id
                  - object
                  - created_at
                  - status
                  - model
                  - progress
                  - prompt
                  - seconds
                  - size
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      type:
                        type: string
                      param:
                        type:
                          - string
                          - 'null'
                      code:
                        type:
                          - string
                          - 'null'
                    required:
                      - message
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      type:
                        type: string
                      param:
                        type:
                          - string
                          - 'null'
                      code:
                        type:
                          - string
                          - 'null'
                    required:
                      - message
                required:
                  - error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      type:
                        type: string
                      param:
                        type:
                          - string
                          - 'null'
                      code:
                        type:
                          - string
                          - 'null'
                    required:
                      - message
                required:
                  - error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Retrieve video job](/api-reference/videos/retrieve-video-job.md)
- [Download generated video](/api-reference/videos/download-generated-video.md)
- [Integrasi Webhook](/id/guides/webhooks.md)
- [Generasi Video](/id/gateway/capabilities/video-generation.md)
- [Create batch](/api-reference/batches/create-batch.md)
